
declare @uid as varchar(50)
declare @eid as varchar(50)
set @eid =(select eid from seg_usuario where id=1)
set @uid =(select uid from seg_usuario where id=1)
if not exists(select *from gui_funcionalidad where nombrecomando='crearEvaluacion' and id_tipoFuncionalidad=5 
and id_funcionalidad in(select id from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1 
and id_funcionalidad in(select id from gui_funcionalidad where id_tipofuncionalidad=3 and  url='/forms/doc/doc_documento_ot.aspx') )
)
begin
insert into gui_funcionalidad ([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],
[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[toolTip],[esMenu],[nombreComando],[orden])
(select @uid,@eid,1,1,getdate(),getdate(),1,'Crear Evaluacion',id,5,0,0,'crearEvaluacion',0 from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1
and id_funcionalidad in(select id from gui_funcionalidad where id_tipofuncionalidad=3 and  url='/forms/doc/doc_documento_ot.aspx')
)
end


if not exists(select *from gui_funcionalidad where nombrecomando='editarEvaluacion' and id_tipoFuncionalidad=5 
and id_funcionalidad in(select id from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1 
and id_funcionalidad in(select id from gui_funcionalidad where id_tipofuncionalidad=3 and  url='/forms/doc/doc_documento_ot.aspx') )
)
begin
insert into gui_funcionalidad ([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],
[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[toolTip],[esMenu],[nombreComando],[orden])
(select @uid,@eid,1,1,getdate(),getdate(),1,'Editar Evaluacion',id,5,0,0,'editarEvaluacion',0 from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1
and id_funcionalidad in(select id from gui_funcionalidad where id_tipofuncionalidad=3 and  url='/forms/doc/doc_documento_ot.aspx')
)
end


if  not exists(select * from  [seg_perfil_funcionalidad]  where id_perfil=2 and id_funcionalidad in(
select id from gui_funcionalidad where nombrecomando='crearEvaluacion' and id_tipoFuncionalidad=5 and id_funcionalidad 
in(select id from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1))
)
begin
INSERT INTO [seg_perfil_funcionalidad] ([uid]
,[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[perfil_funcionalidad],[id_perfil],[id_funcionalidad])
select  @uid,'01',1,1,getdate() ,getdate(),1,'',2,id 
from gui_funcionalidad where nombrecomando='crearEvaluacion' and id_tipoFuncionalidad=5 and id_funcionalidad in(select id from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1
and id_funcionalidad in(select id from gui_funcionalidad where id_tipofuncionalidad=3 and  url='/forms/doc/doc_documento_ot.aspx')
)
end

if  not exists(select * from  [seg_perfil_funcionalidad]  where id_perfil=2 and id_funcionalidad in(
select id from gui_funcionalidad where nombrecomando='editarEvaluacion' and id_tipoFuncionalidad=5 and id_funcionalidad 
in(select id from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1))
)
begin
INSERT INTO [seg_perfil_funcionalidad] ([uid]
,[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[perfil_funcionalidad],[id_perfil],[id_funcionalidad])
select  @uid,'01',1,1,getdate() ,getdate(),1,'',2,id 
from gui_funcionalidad where nombrecomando='editarEvaluacion' and id_tipoFuncionalidad=5 and id_funcionalidad in(select id from gui_funcionalidad where nombreControl='inc_evaluaciones' and id_tipoFuncionalidad=1
and id_funcionalidad in(select id from gui_funcionalidad where id_tipofuncionalidad=3 and  url='/forms/doc/doc_documento_ot.aspx')
)
end
